#ifndef _DISPLAY_H
#define _DISPLAY_H

#include "PlugLib.h"
#include "plugin.h"
#include "enum-report.h"
#include "datasource.h"


typedef struct {
    MemHandle h;
    Char *s;
    Char title[NOTETITLE_MAXCHAR];
} NoteType;
typedef NoteType * NotePtr;


typedef struct {

	int n;
	char **fields;
	DataSource *source;
	NoteType note;
} PersistentData;

extern UInt16 DisplayPopupForm( PersistentData *) EDITSECT;

#define noteUnchanged 0
#define noteModified 1

#endif
